## org.apache.poi.xwpf.model
Class XWPFCommentsDecorator

    java.lang.Object
      org.apache.poi.xwpf.model.XWPFParagraphDecorator
          org.apache.poi.xwpf.model.XWPFCommentsDecorator

    public class XWPFCommentsDecorator

extends XWPFParagraphDecorator

Decorator class for XWPFParagraph allowing to add comments found in paragraph to its text

Author:
  Yury Batrakov (batrakov at gmail.com)

Field Summary

Fields inherited from class org.apache.poi.xwpf.model.XWPFParagraphDecorator
`nextDecorator, paragraph`

Constructor Summary
`XWPFCommentsDecorator(XWPFParagraphDecorator nextDecorator)`
`XWPFCommentsDecorator(XWPFParagraph paragraph, XWPFParagraphDecorator nextDecorator)`

Method Summary
`java.lang.String` `getCommentText()`
`java.lang.String` `getText()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XWPFCommentsDecorator

    public XWPFCommentsDecorator(XWPFParagraphDecorator nextDecorator)

### XWPFCommentsDecorator

    public XWPFCommentsDecorator(XWPFParagraph paragraph,
                                 XWPFParagraphDecorator nextDecorator)

Method Detail

### getCommentText

    public java.lang.String getCommentText()

### getText

    public java.lang.String getText()

  Overrides:
    `getText` in class `XWPFParagraphDecorator`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.